the horse raced past the barn : (S (NP (D the) (N horse)) (VP (V (V raced) (PP (P past) (NP (D the) (N barn))))))
the horse raced past the barn fell : (S (NP (D the) (N (N horse) (CP (S (NP ) (VP (V (V raced) (PP (P past) (NP (D the) (N barn))))))))) (VP (V fell)))